#!/bin/csh

set in = grid_rgb.ppm

set formatList = ( l la rgb rgba )
set typeList = ( u8 u16 f32 )
set compressList = ( none rle lzw )
set channelsList = ( interleave planar )

foreach format ($formatList)
  foreach type ($typeList)
    foreach compress ($compressList)
      foreach channels ($channelsList)
        
        set out = "out"
        set out = ${out}-format_${format}
        set out = ${out}-type_${type}
        set out = ${out}-compress_${compress}
        set out = ${out}-channels_${channels}
        set out = ${out}.tiff
          
        ../../bin/djop \
          $in $out \
          -saveFormat $format \
          -saveType $type \
          -saveAttr tiff compress $compress \
          -saveAttr tiff channels $channels
        if ($status != 0) then
          exit 1
        endif

      end
    end
  end
end
